Event contracts
Subscribe
{ "method": "sub.event.contract" }
Unsubscribe
{ "method": "unsub.event.contract" }
Get event contract data; updates are pushed whenever there are changes.
Response fields:
| Field | Type | Description |
|---|---|---|
| contractId | string | Contract ID |
| symbol | string | Contract, e.g., BTC_USDT |
| baseCoin | string | Base currency, e.g., BTC |
| quoteCoin | string | Quote currency, e.g., USDT |
| baseCoinName | string | Base currency name |
| quoteCoinName | string | Quote currency name |
| settleCoin | string | Settlement currency |
| baseCoinIconUrl | string | Base currency |
| baseCoinName | string | Base currency icon config |
| investMinAmount | decimal | Minimum investment |
| investMaxAmount | decimal | Maximum investment |
| amountScale | int | Quantity precision |
| payRateScale | int | Payout rate precision |
| indexPriceScale | int | Index price precision |
| availableScale | int | Availability precision |